stages:
  - postman-test
  - lint-css
  - lint-js
  - unit-test


#image: node:6.11.2


postman-test:
    stage: postman-test
    image: registry.gitlab.si.francetelecom.fr/sdfy-cda/abtesting/abtestingapi/node:0.1
    before_script: 
        # - git clone git@gitlab.com:anna.bildea/m2mdemo.git
        - git clone https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.com/anna.bildea/m2mdemo.git
        - npm install newman --global
        - git config --global user.email "ana"
        - git config --global user.name "Ana"
       
    cache:
        untracked: true

    script: 
        - echo "test"
        - newman run m2mdemo/test.json.postman_collection --reporters="html,cli" --reporter-html-export "m2mdemo/results.html"
        - cd m2mdemo
        - git add results.html
        - git commit -am "commit"
        - git push origin master
        

        
lint css:
  stage: lint-css
  before_script:
    - npm install
  cache:
    untracked: true
  only:
    - master
  script:
    - ./node_modules/gulp/bin/gulp.js lint-css

lint js:
  stage: lint-js
  cache:
    untracked: true
    policy: pull
  only:
    - master
  script:
    - ./node_modules/gulp/bin/gulp.js lint-js

run unit test:
  stage: unit-test
  cache:
    untracked: true
    policy: pull
  only:
    - master
  script:
    - ./node_modules/gulp/bin/gulp.js test